Subject: Re: bug#33344: 26.1; doc-view bounding-box recognition doesn't work on path names with spaces

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Nov 2018 21:24:55 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 13 Nov 2018 13:12:40 -0500
> 
> > And I wonder how many more subtle incompatibilities will such a change
> > cause.  All that because we need to run a single string through
> > shell-quote-argument (and not just enclose it in double quotes)?  Is
> > it really worth it?
> 
> External processes should not be called through a shell unless they
> really need that, and I see no evidence for that here.

I don't disagree, but that's not the point.  The point is that this
code was written to use the shell, and it works.  Turning it upside
down because it failed to quote a single argument risks introducing
bugs and backward incompatibilities for what IMO is a very small gain.